#-----------LDAP Parameter --------------
LDAPCacheEntries 1024
LDAPCacheTTL 60
LDAPOpCacheEntries 1024
LDAPOpCacheTTL 60
LDAPSharedCacheSize 200000
#-----------LDAP Parameter --------------

<VirtualHost 192.168.123.121:443>
        DocumentRoot "/usr/share/ldap-account-manager"
        ServerName lam.example.net:443
        ServerAdmin stefan@kania-online.de
        ErrorLog /var/log/apache2/lam-error_log
        TransferLog /var/log/apache2/lam-access_log
        SSLEngine on
        SSLCipherSuite ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
        SSLCertificateFile /etc/ssl/zertifikate/lamcert.pem
        SSLCertificateKeyFile /etc/ssl/zertifikate/lamkey.pem
        <Files ~ "\.(cgi|shtml|phtml|php3?)$">
            SSLOptions +StdEnvVars
        </Files>
        SetEnvIf User-Agent ".*MSIE.*" \
                 nokeepalive ssl-unclean-shutdown \
                 downgrade-1.0 force-response-1.0
        CustomLog /var/log/apache2/ssl_request_log   ssl_combined
        <Directory "/usr/share/ldap-account-manager/">
        Options Indexes FollowSymLinks
        AllowOverride None
        Order deny,allow
        #-------- LDAP auth ---------------------
        AuthType Basic
        AuthBasicProvider ldap
        AuthzLDAPAuthoritative On
        # AuthLDAPBindDN und AuthLDAPBindPassword wird benoetigt, da
        # keine anonyme suche im LDAP erlaubt ist.
        AuthLDAPBindDN "cn=admin,dc=example,dc=net"
        AuthLDAPBindPassword "geheim"
        AuthName "Anmeldung fuer LAM"
        AuthLDAPURL "ldap://adminbuch.example.net:389/dc=example,dc=net?uid?sub"
        require ldap-group cn=lamadmins,ou=groups,dc=example,dc=net
        # "AuthLDAPGroupAttributeIsDN" muss auf "Off" gesetzt sein,
        # sonst wird in der Mitgliederliste
        # immer nach dem vollstäigen DN des Benutzers gesucht
        # und nicht nur nach der uid
        AuthLDAPGroupAttributeIsDN Off
        AuthLDAPGroupAttribute memberUid
        #-------- LDAP auth ---------------------

        </Directory>
</VirtualHost>

